Skip to main content
GET
/
v2
/
threads
List threads
curl --request GET \
  --url https://api.attio.com/v2/threads \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "id": {
        "workspace_id": "14beef7a-99f7-4534-a87e-70b564330a4c",
        "thread_id": "a649e4d9-435c-43fb-83ba-847b4876f27a"
      },
      "comments": [
        {
          "id": {
            "workspace_id": "14beef7a-99f7-4534-a87e-70b564330a4c",
            "comment_id": "aa1dc1d9-93ac-4c6c-987e-16b6eea9aab2"
          },
          "thread_id": "aa1dc1d9-93ac-4c6c-987e-16b6eea9aab2",
          "content_plaintext": "Let's go ahead and close this deal, alice@attio.com.",
          "entry": {
            "entry_id": "2e6e29ea-c4e0-4f44-842d-78a891f8c156",
            "list_id": "33ebdbe9-e529-47c9-b894-0ba25e9c15c0"
          },
          "record": {
            "record_id": "bf071e1f-6035-429d-b874-d83ea64ea13b",
            "object_id": "97052eb9-e65e-443f-a297-f2d9a4a7f795"
          },
          "resolved_at": "2023-01-01T15:00:00.000000000Z",
          "resolved_by": {
            "type": "workspace-member",
            "id": "50cf242c-7fa3-4cad-87d0-75b1af71c57b"
          },
          "created_at": "2023-01-01T15:00:00.000000000Z",
          "author": {
            "type": "workspace-member",
            "id": "50cf242c-7fa3-4cad-87d0-75b1af71c57b"
          }
        }
      ],
      "created_at": "2023-01-01T15:00:00.000000000Z"
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.attio.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

This API uses OAuth 2.0 with the authorization code grant flow.

Query Parameters

record_id
string<uuid>

Use this parameter to filter to threads on a specific record. Must be passed with object.

Example:

"891dcbfc-9141-415d-9b2a-2238a6cc012d"

object
string

Use this parameter to filter to threads on a specific record. Must be passed with record_id. Accepts either a slug or an ID.

Example:

"people"

entry_id
string<uuid>

Use this parameter to filter to threads on a specific entry. Must be passed with list.

Example:

"2e6e29ea-c4e0-4f44-842d-78a891f8c156"

list
string

Use this parameter to filter to threads on a specific entry. Must be passed with entry_id. Accepts either a slug or an ID.

Example:

"33ebdbe9-e529-47c9-b894-0ba25e9c15c0"

limit
integer

The maximum number of results to return. The default is 10 and the maximum is 50. See the full guide to pagination here.

Example:

10

offset
integer

The number of results to skip over before returning. The default is 0. See the full guide to pagination here.

Example:

5

Response

200 - application/json

Success

Success

data
object[]
required